<?xml version="1.0" encoding="iso-8859-1"?>
<mosinstall version="4.5.1" type="mambot" group="editors">
	<name>TMEdit</name>
	<author>Bernhard Pfeifer</author>
	<authorEmail>novocaine@gmx.net</authorEmail>
	<authorUrl>www.thinkmambo.com</authorUrl>
	<creationDate>Juli 2005</creationDate>
	<copyright>© 2004, 2005 Bernhard Pfeifer</copyright>
	<license>TMEdit Free Software License</license>
	<version>1.0 RC2</version>
	<description><![CDATA[<span style="font-size: large; font-weight: bold;">TMEdit v1.0 RC2</span>
		<br />A highly extended free WYSIWYG editor for Mambo 4.5.1+
		<br />
		<br />Changelog for TMEdit v1.0 RC2, Release Date 2005/07/09:
		<br />
		<pre># Fixed wrong variable call bug in TableOperations plugin
# Fixed check for $my->id with isset() as it gave errors under certain circumstances</pre>
		<br />
		<br />Changelog for TMEdit v1.0 RC1, Release Date 2005/06/15:
		<br />
		<pre>+ Added connector for Mambots editors-xtd buttons
+ Added preview function
+ Added option to switch off CSS live preview in editor
+ Added font Trebuchet MS to font drop down
+ Added function that shows actual font, size and format
# Fixed countless bugs in tmedit.js
# Fixed language bug in FileManager (chosen language is recognized now)
# Fixed call for wrong filename in fullscreen.html
# Fixed short open tags in all PHP files
# Fixed ImageManager error that occured when trying to upload an image
# Fixed ImageManager error that occured when trying to delete an image
# Fixed FileManager error that occured when trying to upload a file
# Fixed FileManager error that occured when trying to delete a file
# Fixed FileManager generating absolute path to icons
# Fixed language bug in Smilies plugin
# Fixed Smilies plugin to generate XHTML valid image tag
# Fixed wrong function call bug in ContextMenu plugin
! Rearranged buttons
- Removed unnecessary/deprecated code and comments from tmedit.js
- Removed {mosimage} and {mospagebreak} from toolbar (editors-xtd now)
- Decreased file size of tmedit.js from 78 kB to 56 kB</pre>
		<br />
		Need <a href="http://www.thinkmambo.com/tmedit/knowledge-base" target="_blank" title="www.thinkmambo.com/tmedit/knowledge-base">support</a>? Want to purchase <a href="http://www.thinkmambo.com/xhtmlsuite/purchase" target="_blank" title="http://www.thinkmambo.com/xhtmlsuite/purchase">XHTMLSuite</a>?
		<br />
		<br />
		&copy; 2004, 2005 ThinkMambo
		<br />
		<br />
		<span style="font-size: large; font-weight: bold;">You may go to <a href="index2.php?option=com_mambots">Mambots Administration</a> and configure TMEdit.</span>]]></description>
	<files>
		<filename>tmedit/dialog.js</filename>
		<filename>tmedit/tmedit.css</filename>
		<filename>tmedit/tmedit.js</filename>
		<filename>tmedit/index.html</filename>
		<filename>tmedit/index.php</filename>
		<filename>tmedit/popupdiv.js</filename>
		<filename>tmedit/popupwin.js</filename>
		<filename>tmedit/lang/de.js</filename>
		<filename>tmedit/lang/en.js</filename>
		<filename>tmedit/license/TMEdit_license.txt</filename>
		<filename>tmedit/plugins/index.php</filename>
		<filename>tmedit/popups/index.php</filename>
		<filename>tmedit/plugins/ContextMenu/context-menu.js</filename>
		<filename>tmedit/plugins/ContextMenu/menu.css</filename>
		<filename>tmedit/plugins/ContextMenu/lang/de.js</filename>
		<filename>tmedit/plugins/ContextMenu/lang/el.js</filename>
		<filename>tmedit/plugins/ContextMenu/lang/en.js</filename>
		<filename>tmedit/plugins/ContextMenu/lang/nl.js</filename>
		<filename>tmedit/plugins/CSS/css.js</filename>
		<filename>tmedit/plugins/CSS/lang/de.js</filename>
		<filename>tmedit/plugins/CSS/lang/en.js</filename>
		<filename>tmedit/plugins/EnterParagraphs/enter-paragraphs.js</filename>
		<filename>tmedit/plugins/EnterParagraphs/lang/de.js</filename>
		<filename>tmedit/plugins/EnterParagraphs/lang/en.js</filename>
		<filename>tmedit/plugins/InsertSmiley/insert-smiley.js</filename>
		<filename>tmedit/plugins/InsertSmiley/lang/de.js</filename>
		<filename>tmedit/plugins/InsertSmiley/lang/en.js</filename>
		<filename>tmedit/plugins/InsertSmiley/popups/insert_smiley.html</filename>
		<filename>tmedit/plugins/TableOperations/table-operations.js</filename>
		<filename>tmedit/plugins/TableOperations/lang/cz.js</filename>
		<filename>tmedit/plugins/TableOperations/lang/da.js</filename>
		<filename>tmedit/plugins/TableOperations/lang/de.js</filename>
		<filename>tmedit/plugins/TableOperations/lang/el.js</filename>
		<filename>tmedit/plugins/TableOperations/lang/en.js</filename>
		<filename>tmedit/plugins/TableOperations/lang/fi.js</filename>
		<filename>tmedit/plugins/TableOperations/lang/hu.js</filename>
		<filename>tmedit/plugins/TableOperations/lang/it.js</filename>
		<filename>tmedit/plugins/TableOperations/lang/nl.js</filename>
		<filename>tmedit/plugins/TableOperations/lang/no.js</filename>
		<filename>tmedit/plugins/TableOperations/lang/ro.js</filename>
		<filename>tmedit/popups/fullscreen.html</filename>
		<filename>tmedit/popups/help_de.html</filename>
		<filename>tmedit/popups/help_en.html</filename>
		<filename>tmedit/popups/insert_image_de.php</filename>
		<filename>tmedit/popups/insert_image_en.php</filename>
		<filename>tmedit/popups/insert_table_de.html</filename>
		<filename>tmedit/popups/insert_table_en.html</filename>
		<filename>tmedit/popups/internal_link_de.php</filename>
		<filename>tmedit/popups/internal_link_en.php</filename>
		<filename>tmedit/popups/mozilla_prefs_de.html</filename>
		<filename>tmedit/popups/mozilla_prefs_en.html</filename>
		<filename>tmedit/popups/popup.js</filename>
		<filename>tmedit/popups/select_character_de.html</filename>
		<filename>tmedit/popups/select_character_en.html</filename>
		<filename>tmedit/popups/select_color_de.html</filename>
		<filename>tmedit/popups/select_color_en.html</filename>
		<filename>tmedit/popups/ImageManager/config.inc.php</filename>
		<filename>tmedit/popups/ImageManager/images.php</filename>
		<filename>tmedit/popups/InsertFile/config.inc.php</filename>
		<filename>tmedit/popups/InsertFile/files.php</filename>
		<filename>tmedit/popups/InsertFile/insert_file.php</filename>
		<filename>tmedit/popups/InsertFile/css/sortabletable.css</filename>
		<filename>tmedit/popups/InsertFile/js/sortabletable.js</filename>
		<filename>tmedit/popups/InsertFile/lang/lang-de.php</filename>
		<filename>tmedit/popups/InsertFile/lang/lang-en.php</filename>
		<filename>tmedit/images/ed_about.gif</filename>
		<filename>tmedit/images/ed_align_center.gif</filename>
		<filename>tmedit/images/ed_align_justify.gif</filename>
		<filename>tmedit/images/ed_align_left.gif</filename>
		<filename>tmedit/images/ed_align_right.gif</filename>
		<filename>tmedit/images/ed_anchor.gif</filename>
		<filename>tmedit/images/ed_blank.gif</filename>
		<filename>tmedit/images/ed_charmap.gif</filename>
		<filename>tmedit/images/ed_clean_word.gif</filename>
		<filename>tmedit/images/ed_color_bg.gif</filename>
		<filename>tmedit/images/ed_color_fg.gif</filename>
		<filename>tmedit/images/ed_copy.gif</filename>
		<filename>tmedit/images/ed_custom.gif</filename>
		<filename>tmedit/images/ed_cut.gif</filename>
		<filename>tmedit/images/ed_delete.gif</filename>
		<filename>tmedit/images/ed_format_bold.gif</filename>
		<filename>tmedit/images/ed_format_italic.gif</filename>
		<filename>tmedit/images/ed_format_strike.gif</filename>
		<filename>tmedit/images/ed_format_sub.gif</filename>
		<filename>tmedit/images/ed_format_sup.gif</filename>
		<filename>tmedit/images/ed_format_underline.gif</filename>
		<filename>tmedit/images/ed_help.gif</filename>
		<filename>tmedit/images/ed_hr.gif</filename>
		<filename>tmedit/images/ed_html.gif</filename>
		<filename>tmedit/images/ed_image.gif</filename>
		<filename>tmedit/images/ed_indent_less.gif</filename>
		<filename>tmedit/images/ed_indent_more.gif</filename>
		<filename>tmedit/images/ed_insert_image.gif</filename>
		<filename>tmedit/images/ed_left_to_right.gif</filename>
		<filename>tmedit/images/ed_linktofile.gif</filename>
		<filename>tmedit/images/ed_list_bullet.gif</filename>
		<filename>tmedit/images/ed_list_num.gif</filename>
		<filename>tmedit/images/ed_mos_image.gif</filename>
		<filename>tmedit/images/ed_mos_internallink.gif</filename>
		<filename>tmedit/images/ed_mos_pagebreak.gif</filename>
		<filename>tmedit/images/ed_paste.gif</filename>
		<filename>tmedit/images/ed_preview.gif</filename>
		<filename>tmedit/images/ed_redo.gif</filename>
		<filename>tmedit/images/ed_remove_format.gif</filename>
		<filename>tmedit/images/ed_right_to_left.gif</filename>
		<filename>tmedit/images/ed_save.gif</filename>
		<filename>tmedit/images/ed_show_0_border.gif</filename>
		<filename>tmedit/images/ed_splitcel.gif</filename>
		<filename>tmedit/images/ed_tableshowborders.gif</filename>
		<filename>tmedit/images/ed_undo.gif</filename>
		<filename>tmedit/images/frost.gif</filename>
		<filename>tmedit/images/fullscreen_maximize.gif</filename>
		<filename>tmedit/images/fullscreen_minimize.gif</filename>
		<filename>tmedit/images/insert_table.gif</filename>
		<filename>tmedit/images/silver.gif</filename>
		<filename>tmedit/plugins/InsertSmiley/emoticons/icon_biggrin.gif</filename>
		<filename>tmedit/plugins/InsertSmiley/emoticons/icon_confused.gif</filename>
		<filename>tmedit/plugins/InsertSmiley/emoticons/icon_cool.gif</filename>
		<filename>tmedit/plugins/InsertSmiley/emoticons/icon_cry.gif</filename>
		<filename>tmedit/plugins/InsertSmiley/emoticons/icon_eek.gif</filename>
		<filename>tmedit/plugins/InsertSmiley/emoticons/icon_evil.gif</filename>
		<filename>tmedit/plugins/InsertSmiley/emoticons/icon_lol.gif</filename>
		<filename>tmedit/plugins/InsertSmiley/emoticons/icon_mad.gif</filename>
		<filename>tmedit/plugins/InsertSmiley/emoticons/icon_neutral.gif</filename>
		<filename>tmedit/plugins/InsertSmiley/emoticons/icon_razz.gif</filename>
		<filename>tmedit/plugins/InsertSmiley/emoticons/icon_redface.gif</filename>
		<filename>tmedit/plugins/InsertSmiley/emoticons/icon_rolleyes.gif</filename>
		<filename>tmedit/plugins/InsertSmiley/emoticons/icon_smile.gif</filename>
		<filename>tmedit/plugins/InsertSmiley/emoticons/icon_twisted.gif</filename>
		<filename>tmedit/plugins/InsertSmiley/emoticons/icon_wink.gif</filename>
		<filename>tmedit/plugins/InsertSmiley/img/insert-smiley.gif</filename>
		<filename>tmedit/plugins/TableOperations/img/cell-delete.gif</filename>
		<filename>tmedit/plugins/TableOperations/img/cell-insert-after.gif</filename>
		<filename>tmedit/plugins/TableOperations/img/cell-insert-before.gif</filename>
		<filename>tmedit/plugins/TableOperations/img/cell-merge.gif</filename>
		<filename>tmedit/plugins/TableOperations/img/cell-prop.gif</filename>
		<filename>tmedit/plugins/TableOperations/img/cell-split.gif</filename>
		<filename>tmedit/plugins/TableOperations/img/col-delete.gif</filename>
		<filename>tmedit/plugins/TableOperations/img/col-insert-after.gif</filename>
		<filename>tmedit/plugins/TableOperations/img/col-insert-before.gif</filename>
		<filename>tmedit/plugins/TableOperations/img/col-split.gif</filename>
		<filename>tmedit/plugins/TableOperations/img/row-delete.gif</filename>
		<filename>tmedit/plugins/TableOperations/img/row-insert-above.gif</filename>
		<filename>tmedit/plugins/TableOperations/img/row-insert-under.gif</filename>
		<filename>tmedit/plugins/TableOperations/img/row-prop.gif</filename>
		<filename>tmedit/plugins/TableOperations/img/row-split.gif</filename>
		<filename>tmedit/plugins/TableOperations/img/table-prop.gif</filename>
		<filename>tmedit/popups/ImageManager/bannerfolder.gif</filename>
		<filename>tmedit/popups/ImageManager/btnBack.gif</filename>
		<filename>tmedit/popups/ImageManager/btnFolderNew.gif</filename>
		<filename>tmedit/popups/ImageManager/btnFolderUp.gif</filename>
		<filename>tmedit/popups/ImageManager/dots.gif</filename>
		<filename>tmedit/popups/ImageManager/edit_trash.gif</filename>
		<filename>tmedit/popups/ImageManager/folder.gif</filename>
		<filename>tmedit/popups/ImageManager/locked.gif</filename>
		<filename>tmedit/popups/ImageManager/unlocked.gif</filename>
		<filename>tmedit/popups/InsertFile/images/bannerfolder.gif</filename>
		<filename>tmedit/popups/InsertFile/images/blank.png</filename>
		<filename>tmedit/popups/InsertFile/images/btnBack.gif</filename>
		<filename>tmedit/popups/InsertFile/images/btnFolderNew.gif</filename>
		<filename>tmedit/popups/InsertFile/images/btnFolderUp.gif</filename>
		<filename>tmedit/popups/InsertFile/images/dots.gif</filename>
		<filename>tmedit/popups/InsertFile/images/downsimple.png</filename>
		<filename>tmedit/popups/InsertFile/images/edit_active.gif</filename>
		<filename>tmedit/popups/InsertFile/images/edit_trash.gif</filename>
		<filename>tmedit/popups/InsertFile/images/locked.gif</filename>
		<filename>tmedit/popups/InsertFile/images/unlocked.gif</filename>
		<filename>tmedit/popups/InsertFile/images/upsimple.png</filename>
		<filename>tmedit/popups/InsertFile/images/ext/blue_folder.png</filename>
		<filename>tmedit/popups/InsertFile/images/ext/def_small.gif</filename>
		<filename>tmedit/popups/InsertFile/images/ext/doc_small.gif</filename>
		<filename>tmedit/popups/InsertFile/images/ext/folder_small.gif</filename>
		<filename>tmedit/popups/InsertFile/images/ext/gif_small.gif</filename>
		<filename>tmedit/popups/InsertFile/images/ext/gz_small.gif</filename>
		<filename>tmedit/popups/InsertFile/images/ext/html_small.gif</filename>
		<filename>tmedit/popups/InsertFile/images/ext/jpg_small.gif</filename>
		<filename>tmedit/popups/InsertFile/images/ext/mov_small.gif</filename>
		<filename>tmedit/popups/InsertFile/images/ext/pdf_small.gif</filename>
		<filename>tmedit/popups/InsertFile/images/ext/png_small.gif</filename>
		<filename>tmedit/popups/InsertFile/images/ext/ppt_small.gif</filename>
		<filename>tmedit/popups/InsertFile/images/ext/rar_small.gif</filename>
		<filename>tmedit/popups/InsertFile/images/ext/txt_small.gif</filename>
		<filename>tmedit/popups/InsertFile/images/ext/xls_small.gif</filename>
		<filename>tmedit/popups/InsertFile/images/ext/zip_small.gif</filename>
		<filename mambot="tmedit">tmedit.php</filename>
	</files>
	<params>
		<param name="insertsmiley" type="radio" default="1" label="Smiley Plugin" description="If set to yes, this will allow Smilies to be inserted into the edited content.">
			<option value="0">No</option>
			<option value="1">Yes</option> 
		</param>
		<param name="tableoperations" type="radio" default="1" label="Table Operations Plugin" description="If set to yes, this will activate advanced table/row/cell formatting options.">
			<option value="0">No</option>
			<option value="1">Yes</option> 
		</param>
		<param name="enterparagraphs" type="radio" default="1" label="Enter Paragraphs Plugin" description="This only has effect on Mozilla browsers. Have a line break when pressing SHIFT + ENTER and a paragraph when pressing ENTER.">
			<option value="0">No</option>
			<option value="1">Yes</option> 
		</param>
		<param name="contextmenu" type="radio" default="1" label="Context Menu Plugin" description="If set to yes, have a context menu on right click and edit table/image/link properties, cut, copy, paste, remove HTML elements">
			<option value="0">No</option>
			<option value="1">Yes</option> 
		</param>
		<param name="css" type="radio" default="1" label="CSS Plugin" description="If set to yes, a dropdown menu with CSS styles will be activated.">
			<option value="0">No</option>
			<option value="1">Yes</option> 
		</param>
		<param name="csspreview" type="radio" default="1" label="CSS Preview" description="If set to yes, your current CSS will be used for preview when editing.">
			<option value="0">No</option>
			<option value="1">Yes</option> 
		</param>
		<param name="language" type="list" default="en" label="Select Language" description="Select the language TMedit should use">
			<option value="en">English</option>
			<option value="de">Deutsch</option> 
		</param>
	</params>
</mosinstall>
